<md-dialog flex="50" aria-label="Password" zafira-background-theme="modal" class="styled-modal">
    <form class="form-validation styled-modal__form" name="password_form" ng-submit="updateUserPassword(changePassword); UtilService.untouchForm(password_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Change password</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>
        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <md-input-container  class="md-block _password">
                    <label>Password</label>
                    <input password-eye="mousedown - mouseup"
                        id="password"
                        type="password"
                        ng-model="changePassword.newPassword"
                        name="password"
                        ng-minlength="::UtilService.getValidationValue('password', 'minlength')"
                        ng-maxlength="::UtilService.getValidationValue('password', 'maxlength')"
                        ng-pattern="::UtilService.getValidationValue('password', 'pattern')"
                        autocomplete="new-password"
                        required
                        />
                    <div ng-messages="password_form.password.$error" ng-if="password_form.password.$dirty">
                        <div ng-repeat="validation in ::UtilService.validations.password" ng-message="{{validation.name}}">
                            <span ng-if="validation.additional">
                                <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                {{ validation.message }}
                            </span>
                            <span ng-if="! validation.additional">{{ validation.message }}</span>
                        </div>
                    </div>
                </md-input-container>
            </div>
        </md-dialog-content>
        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="change" type="submit"
                       class="md-raised btn-w-md md-primary" ng-disabled="password_form.$invalid">
                Apply
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
